<?php 
namespace Natz\AccountVerify\Controller\Index;

use Magento\Framework\App\Action\Context;
use Magento\Framework\View\Result\PageFactory;

class Index extends \Magento\Framework\App\Action\Action
{

    protected $_verProcess;

    protected $_request;

    protected $_helper;

     public function __construct(
        Context $context,
        \Natz\AccountVerify\Model\VerificationProcess $verProcess,
        \Magento\Framework\App\Request\Http $request,
        \Natz\AccountVerify\Helper\CountryCode $helper
    )
    {
        parent::__construct($context);
        $this->verProcess = $verProcess;
        $this->_request = $request;
        $this->_helper = $helper;
    }
    public function execute()
    {   
        $allowedLength = 10;
        $phone = "9268331032";

        $finalPhone = str_replace(" ", "", $phone);
        $phoneLength = strlen($finalPhone);
        $checkStartNumber = substr($finalPhone, 0, 1);

        if ($phoneLength>10 && $checkStartNumber=='0'){
            echo 'add area code and remove 0<br>';
            $mobile = ltrim($finalPhone, '0');  
            echo $mobile =$this->_helper->getCountryCallingCode('PH') . $mobile;
           
        }elseif ($phoneLength==10){
            echo 'add area code only';
            echo $mobile = $this->_helper->getCountryCallingCode('PH').$finalPhone;
        }else{
            echo 'remove +';
        }


    }
}

