<?php

namespace Natz\AccountVerify\Controller\Sms;

use Twilio\Rest\Client;

class Send extends \Magento\Framework\App\Action\Action
{

    protected $resultPageFactory;
    protected $jsonHelper;

    protected $_helper;

    protected $_messageTemplateParser;

    protected $curlClient;  

    /**
     * Constructor
     *
     * @param \Magento\Framework\App\Action\Context  $context
     * @param \Magento\Framework\Json\Helper\Data $jsonHelper
     */
    ///\Twilio\Rest\Client $_twilioClientFactory,
    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        \Magento\Framework\Json\Helper\Data $jsonHelper,
        \Magento\Framework\HTTP\Client\Curl $curl,
        \Natz\AccountVerify\Helper\Data $helper,
        \Natz\AccountVerify\Helper\MessageTemplateParser $messageTemplateParser
    ) {
        $this->resultPageFactory = $resultPageFactory;
        $this->jsonHelper = $jsonHelper;
        $this->curlClient = $curl;
        $this->_helper = $helper;
        $this->_messageTemplateParser = $messageTemplateParser;
        parent::__construct($context);
    }



    /**
     * Execute view action
     *
     * @return \Magento\Framework\Controller\ResultInterface
     */
    public function execute()
    {
        // try {
        //     return $this->jsonResponse('your response');
        // } catch (\Magento\Framework\Exception\LocalizedException $e) {
        //     return $this->jsonResponse($e->getMessage());
        // } catch (\Exception $e) {
        //     $this->logger->critical($e);
        //     return $this->jsonResponse($e->getMessage());
        // }
        
        

        $accountSid = 'AC22ba5c3c7f6521cdd66be12a40ce1baf';
        //test - AC909878d06657f6cc0efdfa63b1bc732d
        $via = 'sms';
        $authToken = '376e7ae67e4ab09afbeb9e5b60153add';
        // test - 362e433f9739a7fb57c1e82774f9a6d6

        $sid = "AC909878d06657f6cc0efdfa63b1bc732d";
        $token = "362e433f9739a7fb57c1e82774f9a6d6";
        
        $client = new Client($sid, $token);

        try {
         $message =   $client->messages->create(
                "+639175906067",
                array(
                    'from' => "+15005550006",
                    'body' => "test order"
                )
            );
        } catch (Exception $e) {
            //Log::error($e->getMessage());
        }


         echo '<pre>';
         print_r($message);



        //sevice id -MG9e582c9ea56b643ce60157bf4c7f9647

        $phone_number = '+639175906067';

        $isSMSEnabled= $this->_helper->isSMSEnabled();
        echo $this->_helper->getRandomString();
        $this->_sendSms();

    }

    protected function _sendSms()
    {
        $client = $this->_twilioClientFactory->create([
            'username' => $this->_helper->getAccountSid(),
            'password' => $this->_helper->getAccountAuthToken()
        ]);
        try {
            $result = $client->messages->create(
                $this->_recipientPhone,
                [
                    'from' => $this->_helper->getTwilioPhone(),
                    'body' => $this->_message,
                    'statusCallback' => $this->urlBuilder->getUrl('twilio/webhook'),
                ]
            );
            $this->logSuccess($result);
        } catch (\Exception $e) {
            $this->logError($e);
        }
        return $this;
    }




    /**
     * Create json response
     *
     * @return \Magento\Framework\Controller\ResultInterface
     */
    public function jsonResponse($response = '')
    {
        return $this->getResponse()->representJson(
            $this->jsonHelper->jsonEncode($response)
        );
    }
}
