<?php
namespace Natz\AccountVerify\Model;

use Magento\Checkout\Model\ConfigProviderInterface;

class AdditionalConfigProvider implements ConfigProviderInterface
{


    protected $_helper;


	public function __construct(
        \Natz\AccountVerify\Helper\Data $helper
        ) 
    {
        $this->_helper = $helper;
    }

    /**
     * {@inheritdoc}
     */
    public function getConfig()
    {	
        
        $config['natz_enabled_status'] = $this->_helper->isSMSEnabled();
        return $config;
    }

    
}