<?php


namespace Natz\AccountVerify\Model\Config\Source;

class SmsGateway implements \Magento\Framework\Option\ArrayInterface
{

    public function toOptionArray()
    {
        return [
            ['value' => 'twilio', 'label' => __('Twilio')],
            ['value' => 'b2bsms', 'label' => __('B2B SMS')],
            ['value' => 'nexmo', 'label' => __('Nexmo')]
        ];
    }

    public function toArray()
    {
        return [
            'twilio' => __('twilio'),
            'b2bsms' => __('b2bsms'),
            'nexmo' => __('Nexmo'),
        ];
    }
}
